------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Progress_Bar_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Progress_Bar_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Progress_Bars is

   procedure format_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, format_0_wrapper,
                     "__Qt4Ada_QProgressBar_format_0_wrapper");

   function invertedAppearance_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, invertedAppearance_0_wrapper,
                     "__Qt4Ada_QProgressBar_invertedAppearance_0_wrapper");

   function isTextVisible_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isTextVisible_0_wrapper,
                     "__Qt4Ada_QProgressBar_isTextVisible_0_wrapper");

   function maximum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, maximum_0_wrapper,
                     "__Qt4Ada_QProgressBar_maximum_0_wrapper");

   function minimum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, minimum_0_wrapper,
                     "__Qt4Ada_QProgressBar_minimum_0_wrapper");

   function orientation_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Orientation;
   pragma Import (C, orientation_0_wrapper,
                     "__Qt4Ada_QProgressBar_orientation_0_wrapper");

   procedure setAlignment_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Alignment : Qt4.Alignment);
   pragma Import (C, setAlignment_0_wrapper,
                     "__Qt4Ada_QProgressBar_setAlignment_0_wrapper");

   procedure setFormat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Format : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setFormat_0_wrapper,
                     "__Qt4Ada_QProgressBar_setFormat_0_wrapper");

   procedure setInvertedAppearance_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Invert : Qt4.bool);
   pragma Import (C, setInvertedAppearance_0_wrapper,
                     "__Qt4Ada_QProgressBar_setInvertedAppearance_0_wrapper");

   procedure setTextDirection_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text_Direction : Qt4.Progress_Bars.Progress_Bar_Direction);
   pragma Import (C, setTextDirection_0_wrapper,
                     "__Qt4Ada_QProgressBar_setTextDirection_0_wrapper");

   procedure setTextVisible_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Visible : Qt4.bool);
   pragma Import (C, setTextVisible_0_wrapper,
                     "__Qt4Ada_QProgressBar_setTextVisible_0_wrapper");

   function textDirection_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Progress_Bars.Progress_Bar_Direction;
   pragma Import (C, textDirection_0_wrapper,
                     "__Qt4Ada_QProgressBar_textDirection_0_wrapper");

   function value_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, value_0_wrapper,
                     "__Qt4Ada_QProgressBar_value_0_wrapper");

   procedure reset_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, reset_0_wrapper,
                     "__Qt4Ada_QProgressBar_reset_0_wrapper");

   procedure setMaximum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Maximum : Qt4.Q_Integer);
   pragma Import (C, setMaximum_0_wrapper,
                     "__Qt4Ada_QProgressBar_setMaximum_0_wrapper");

   procedure setMinimum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Minimum : Qt4.Q_Integer);
   pragma Import (C, setMinimum_0_wrapper,
                     "__Qt4Ada_QProgressBar_setMinimum_0_wrapper");

   procedure setOrientation_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Orientation : Qt4.Orientation);
   pragma Import (C, setOrientation_0_wrapper,
                     "__Qt4Ada_QProgressBar_setOrientation_0_wrapper");

   procedure setRange_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Minimum : Qt4.Q_Integer;
     Maximum : Qt4.Q_Integer);
   pragma Import (C, setRange_0_wrapper,
                     "__Qt4Ada_QProgressBar_setRange_0_wrapper");

   procedure setValue_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setValue_0_wrapper,
                     "__Qt4Ada_QProgressBar_setValue_0_wrapper");

   pragma Style_Checks ("N");

   ------------
   -- Format --
   ------------

   function Format
    (Self : not null access constant Q_Progress_Bar'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      format_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Format;

   -------------------------
   -- Inverted_Appearance --
   -------------------------

   function Inverted_Appearance
    (Self : not null access Q_Progress_Bar'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (invertedAppearance_0_wrapper
           (Self.QObject_View));
   end Inverted_Appearance;

   ---------------------
   -- Is_Text_Visible --
   ---------------------

   function Is_Text_Visible
    (Self : not null access constant Q_Progress_Bar'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isTextVisible_0_wrapper
           (Self.QObject_View));
   end Is_Text_Visible;

   -------------
   -- Maximum --
   -------------

   function Maximum
    (Self : not null access constant Q_Progress_Bar'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        maximum_0_wrapper
         (Self.QObject_View);
   end Maximum;

   -------------
   -- Minimum --
   -------------

   function Minimum
    (Self : not null access constant Q_Progress_Bar'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        minimum_0_wrapper
         (Self.QObject_View);
   end Minimum;

   -----------------
   -- Orientation --
   -----------------

   function Orientation
    (Self : not null access constant Q_Progress_Bar'Class)
       return Qt4.Orientation
   is
   begin
      return
        orientation_0_wrapper
         (Self.QObject_View);
   end Orientation;

   -------------------
   -- Set_Alignment --
   -------------------

   procedure Set_Alignment
    (Self : not null access Q_Progress_Bar'Class;
     Alignment : Qt4.Alignment)
   is
   begin
      setAlignment_0_wrapper
       (Self.QObject_View,
        Alignment);
   end Set_Alignment;

   ----------------
   -- Set_Format --
   ----------------

   procedure Set_Format
    (Self : not null access Q_Progress_Bar'Class;
     Format : Qt4.Strings.Q_String)
   is
   begin
      setFormat_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Format));
   end Set_Format;

   -----------------------------
   -- Set_Inverted_Appearance --
   -----------------------------

   procedure Set_Inverted_Appearance
    (Self : not null access Q_Progress_Bar'Class;
     Invert : Standard.Boolean)
   is
   begin
      setInvertedAppearance_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Invert));
   end Set_Inverted_Appearance;

   ------------------------
   -- Set_Text_Direction --
   ------------------------

   procedure Set_Text_Direction
    (Self : not null access Q_Progress_Bar'Class;
     Text_Direction : Qt4.Progress_Bars.Progress_Bar_Direction)
   is
   begin
      setTextDirection_0_wrapper
       (Self.QObject_View,
        Text_Direction);
   end Set_Text_Direction;

   ----------------------
   -- Set_Text_Visible --
   ----------------------

   procedure Set_Text_Visible
    (Self : not null access Q_Progress_Bar'Class;
     Visible : Standard.Boolean)
   is
   begin
      setTextVisible_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Visible));
   end Set_Text_Visible;

   --------------------
   -- Text_Direction --
   --------------------

   function Text_Direction
    (Self : not null access Q_Progress_Bar'Class)
       return Qt4.Progress_Bars.Progress_Bar_Direction
   is
   begin
      return
        textDirection_0_wrapper
         (Self.QObject_View);
   end Text_Direction;

   -----------
   -- Value --
   -----------

   function Value
    (Self : not null access constant Q_Progress_Bar'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        value_0_wrapper
         (Self.QObject_View);
   end Value;

   -----------
   -- Reset --
   -----------

   procedure Reset
    (Self : not null access Q_Progress_Bar'Class)
   is
   begin
      reset_0_wrapper
       (Self.QObject_View);
   end Reset;

   -----------------
   -- Set_Maximum --
   -----------------

   procedure Set_Maximum
    (Self : not null access Q_Progress_Bar'Class;
     Maximum : Qt4.Q_Integer)
   is
   begin
      setMaximum_0_wrapper
       (Self.QObject_View,
        Maximum);
   end Set_Maximum;

   -----------------
   -- Set_Minimum --
   -----------------

   procedure Set_Minimum
    (Self : not null access Q_Progress_Bar'Class;
     Minimum : Qt4.Q_Integer)
   is
   begin
      setMinimum_0_wrapper
       (Self.QObject_View,
        Minimum);
   end Set_Minimum;

   ---------------------
   -- Set_Orientation --
   ---------------------

   procedure Set_Orientation
    (Self : not null access Q_Progress_Bar'Class;
     Orientation : Qt4.Orientation)
   is
   begin
      setOrientation_0_wrapper
       (Self.QObject_View,
        Orientation);
   end Set_Orientation;

   ---------------
   -- Set_Range --
   ---------------

   procedure Set_Range
    (Self : not null access Q_Progress_Bar'Class;
     Minimum : Qt4.Q_Integer;
     Maximum : Qt4.Q_Integer)
   is
   begin
      setRange_0_wrapper
       (Self.QObject_View,
        Minimum,
        Maximum);
   end Set_Range;

   ---------------
   -- Set_Value --
   ---------------

   procedure Set_Value
    (Self : not null access Q_Progress_Bar'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setValue_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Value;

end Qt4.Progress_Bars;
